org.wildfly.swarm.config.management.access

## Class PeriodicRotatingFileHandler<T extends PeriodicRotatingFileHandler<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.access.PeriodicRotatingFileHandler<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class PeriodicRotatingFileHandler<T extends PeriodicRotatingFileHandler<T>>
      extends HashMap

  A management audit log handler which writes to a file, rotating the log after a time period derived from the given suffix string, which should be in a format understood by java.text.SimpleDateFormat.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PeriodicRotatingFileHandler(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `disabledDueToFailure()` Whether this handler has been disabled due to logging failures.
    `T` | `disabledDueToFailure(Boolean value)` Whether this handler has been disabled due to logging failures.
    `Integer` | `failureCount()` The number of logging failures since the handler was initialized.
    `T` | `failureCount(Integer value)` The number of logging failures since the handler was initialized.
    `String` | `formatter()` The formatter used to format the log messages.
    `T` | `formatter(String value)` The formatter used to format the log messages.
    `String` | `getKey()`
    `Integer` | `maxFailureCount()` The maximum number of logging failures before disabling this handler.
    `T` | `maxFailureCount(Integer value)` The maximum number of logging failures before disabling this handler.
    `String` | `path()` The path of the audit log file.
    `T` | `path(String value)` The path of the audit log file.
    `String` | `relativeTo()` The name of another previously named path, or of one of the standard paths provided by the system.
    `T` | `relativeTo(String value)` The name of another previously named path, or of one of the standard paths provided by the system.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `suffix()` The suffix string in a format which can be understood by java.text.SimpleDateFormat.
    `T` | `suffix(String value)` The suffix string in a format which can be understood by java.text.SimpleDateFormat.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### PeriodicRotatingFileHandler

          public PeriodicRotatingFileHandler(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### disabledDueToFailure

          public Boolean disabledDueToFailure()

      Whether this handler has been disabled due to logging failures.

    - #### disabledDueToFailure

          public T disabledDueToFailure(Boolean value)

      Whether this handler has been disabled due to logging failures.

    - #### failureCount

          public Integer failureCount()

      The number of logging failures since the handler was initialized.

    - #### failureCount

          public T failureCount(Integer value)

      The number of logging failures since the handler was initialized.

    - #### formatter

          public String formatter()

      The formatter used to format the log messages.

    - #### formatter

          public T formatter(String value)

      The formatter used to format the log messages.

    - #### maxFailureCount

          public Integer maxFailureCount()

      The maximum number of logging failures before disabling this handler.

    - #### maxFailureCount

          public T maxFailureCount(Integer value)

      The maximum number of logging failures before disabling this handler.

    - #### path

          public String path()

      The path of the audit log file.

    - #### path

          public T path(String value)

      The path of the audit log file.

    - #### relativeTo

          public String relativeTo()

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

    - #### relativeTo

          public T relativeTo(String value)

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

    - #### suffix

          public String suffix()

      The suffix string in a format which can be understood by java.text.SimpleDateFormat. The period of the rotation is automatically calculated based on the suffix.

    - #### suffix

          public T suffix(String value)

      The suffix string in a format which can be understood by java.text.SimpleDateFormat. The period of the rotation is automatically calculated based on the suffix.

Copyright © 2017 JBoss by Red Hat. All rights reserved.